<template>
    <div class="recipe-card" @click="goToDetailsPage(recipeObj.id)">
        <div class="title">
            <a>{{ recipeObj.title }}</a>
        </div>
        <div class="image-container">
            <img :src="recipeObj.img" alt="No image" />
        </div>
    </div>
</template>

<script>
export default {
    name: 'RecipeCard',
    props: {
        recipeObj: {
            type: Object,
            default: () => ({})
        }
    },
    methods: {
        goToDetailsPage(recipeId) {
            this.$router.push({ name: 'view', params: { itemId: recipeId } });
        },
    }
}
</script>

<style lang="scss" scoped>
.recipe-card {

    display: flex;
    flex-direction: column;
    padding: 10px;
    background-color: #f5f5f5;
    border-radius: 10px;
    box-shadow: 0 2px 4px rgba(0, 128, 0, 0.1);
    transition: transform 0.3s ease-in-out;
    cursor: pointer;

    &:hover {
        transform: scale(1.1);
        box-shadow: 0 4px 8px rgba(0, 128, 0, 0.2);
    }

    .image-container {
        max-width: 100%;
        height: 0;
        padding-bottom: 100%;
        position: relative;
        overflow: hidden;
        border-radius: 10px;

        img {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
    }

    .title {
        font-size: 150%;
        margin-bottom: 8px;
        color: green;
    }
}
</style>